# class KDockButton_Private | A mini-button usually placed in the dockpanel. More...
Internal Use Only
Definition | `#include <kdockwidget_private.h>`
Inherits | QPushButton (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDockButton_Private ( QWidget *parent=0, const char *name=0 )
- ~KDockButton_Private ()

#### Protected Methods

- virtual void drawButton ( QPainter * )
- virtual void enterEvent ( QEvent * )
- virtual void leaveEvent ( QEvent * )

## Detailed Description

A mini-button usually placed in the dockpanel.

KDockButton_Private ( QWidget *parent=0, const char *name=0 ) | ### KDockButton_Private

~KDockButton_Private () | ### ~KDockButton_Private

void drawButton ( QPainter * ) | ### drawButton

[protected virtual]

Reimplemented from QPushButton.

void enterEvent ( QEvent * ) | ### enterEvent

[protected virtual]

void leaveEvent ( QEvent * ) | ### leaveEvent

[protected virtual]

- Version: $Id: kdockwidget_private.h,v 1.6 2001/01/27 23:09:52 falkbr Exp $
- Author: Max Judin.
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.